commit: cbdba283b0836dfa79dab44817fa96ee3911315b
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 4 18:55:04 2017 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Sun Aug 6 06:45:17 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbdba283
dev-ml/postgresql-ocaml: bump to 4.1.0
Package-Manager: Portage-2.3.6, Repoman-2.3.3
dev-ml/postgresql-ocaml/Manifest | 1 +
.../postgresql-ocaml/postgresql-ocaml-4.1.0.ebuild | 34 ++++++++++++++++++++++
2 files changed, 35 insertions(+)
diff --git a/dev-ml/postgresql-ocaml/Manifest b/dev-ml/postgresql-ocaml/Manifest
index 5065cb2baf4..8f482329e73 100644
--- a/dev-ml/postgresql-ocaml/Manifest
+++ b/dev-ml/postgresql-ocaml/Manifest
@@ -1 +1,2 @@
+DIST postgresql-4.1.0.tbz 36689 SHA256
8e663f70a85e6aff78323a4a6d606141adb6c10bad812a8ac9a693975a64ca5e SHA512
5749e426634f00fc8aab86e4c23f863ebdebc9bb77c121dea1c516c8bd5524096051975514daa47abe1556355bc4a1994d6634aae09736a508a9b6552b134d42
WHIRLPOOL
6a1ac952cc2448eee9324a5655196b6a149d2c3ef8058def24bfaa983793e77e116e2f2b416c8853acc25dfb9bc9966a7681291aa1bcd076a83539dcd972630e
DIST postgresql-ocaml-4.0.1.tar.gz 85871 SHA256
07d8fdb5c161b30809876375c43ebf29e5b99a475ee6b019b6fee3a80c18a4cb SHA512
baecd1b3b98f790131972dbd2eba563b43dec6e13e37ab904ee38b2b1168b03533272532887a42a2536806951c9e543306c6eccfb441de517ee860383ea5df36
WHIRLPOOL
71562d46b8688b4319f6fae06aeaea866e397cf6ce9f533b096d8d9f0850b2746fdffca6f4f234cc23cfb433d8124f559f89971d32554a756e88234c5a311e6d
diff --git a/dev-ml/postgresql-ocaml/postgresql-ocaml-4.1.0.ebuild
b/dev-ml/postgresql-ocaml/postgresql-ocaml-4.1.0.ebuild
new file mode 100644
index 00000000000..0a85bb94913
--- /dev/null
+++ b/dev-ml/postgresql-ocaml/postgresql-ocaml-4.1.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit opam
+
+MY_P="postgresql-${PV}"
+
+DESCRIPTION="A package for ocaml that provides access to PostgreSQL databases"
+SRC_URI="https://github.com/mmottl/postgresql-ocaml/releases/download/${PV}/${MY_P}.tbz"
+HOMEPAGE="http://mmottl.github.io/postgresql-ocaml/"
+IUSE=""
+
+RDEPEND="
+ dev-db/postgresql:=[server]
+"
+DEPEND="${RDEPEND}
+ dev-ml/jbuilder
+ >=dev-ml/findlib-1.5"
+
+SLOT="0/${PV}"
+LICENSE="LGPL-2"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+S="${WORKDIR}/${MY_P}"
+
+src_compile() {
+ jbuilder build @install || die
+}
+
+src_install() {
+ opam_src_install "postgresql"
+}